Index: LMDZ.3.3/branches/rel-LF/libf/phylmd/physiq.F
===================================================================
--- LMDZ.3.3/branches/rel-LF/libf/phylmd/physiq.F	(revision 281)
+++ LMDZ.3.3/branches/rel-LF/libf/phylmd/physiq.F	(revision 282)
@@ -244,4 +244,7 @@
       REAL falbe(klon,nbsrf)
       SAVE falbe                  ! albedo par type de surface
+      REAL falblw(klon,nbsrf)
+      SAVE falblw                 ! albedo par type de surface
+
 c
 c
@@ -366,4 +369,7 @@
       REAL albsol(klon)
       SAVE albsol                 ! albedo du sol total
+      REAL albsollw(klon)
+      SAVE albsollw                 ! albedo du sol total
+
       REAL wo(klon,klev)
       SAVE wo                     ! ozone
@@ -770,14 +776,14 @@
          zout = dtime * FLOAT(ecrit_day)
 C Essai writephys
-         nom_fichier = 'histday1'
-         call writephy_ini(fid_day,nom_fichier,klon,iim,jjmp1,klev,
-     .                     rlon,rlat, presnivs,
-     .                     zjulian, dtime)
-         call writephy_def(prof2d_on, fid_day, "once", zsto, zout, 0)
-         call writephy_def(prof3d_on, fid_day, "once", zsto, zout,
-     .                                                         klev)
-         call writephy_def(prof2d_av, fid_day, "ave(X)", zsto, zout, 0) 
-         call writephy_def(prof3d_av, fid_day, "ave(X)", zsto, zout, 
-     .                                                         klev)
+c        nom_fichier = 'histday1'
+c        call writephy_ini(fid_day,nom_fichier,klon,iim,jjmp1,klev,
+c    .                     rlon,rlat, presnivs,
+c    .                     zjulian, dtime)
+c        call writephy_def(prof2d_on, fid_day, "once", zsto, zout, 0)
+c        call writephy_def(prof3d_on, fid_day, "once", zsto, zout,
+c    .                                                         klev)
+c        call writephy_def(prof2d_av, fid_day, "ave(X)", zsto, zout, 0) 
+c        call writephy_def(prof3d_av, fid_day, "ave(X)", zsto, zout, 
+c    .                                                         klev)
  
 c
@@ -1162,4 +1168,7 @@
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zsto,zout)
+         CALL histdef(nid_mth, "albslw", "Surface albedo LW", "-",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "cdrm", "Momentum drag coef.", "-",
@@ -1589,4 +1598,7 @@
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
+         CALL histdef(nid_ins, "albslw", "Surface albedo LW", "-",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                "inst(X)", zsto,zout)
 c
 c
@@ -1795,5 +1807,6 @@
      e            ok_veget, ocean, npas, nexca, ftsol,
      $            soil_model,ftsoil,
-     $            paprs,pplay,radsol, fsnow,fqsol,fevap,falbe,fluxlat,
+     $            paprs,pplay,radsol, fsnow,fqsol,fevap,falbe,falblw,
+     $            fluxlat,
      e            rain_fall, snow_fall, solsw, sollw, sollwdown, fder,
      e            rlon, rlat, cufi, cvfi, frugs,
@@ -2173,8 +2186,13 @@
      .             + falbe(i,is_ter) * pctsrf(i,is_ter)
      .             + falbe(i,is_sic) * pctsrf(i,is_sic)
+         albsollw(i) = falblw(i,is_oce) * pctsrf(i,is_oce)
+     .               + falblw(i,is_lic) * pctsrf(i,is_lic)
+     .               + falblw(i,is_ter) * pctsrf(i,is_ter)
+     .               + falblw(i,is_sic) * pctsrf(i,is_sic)
       ENDDO
       CALL radlwsw ! nouveau rayonnement (compatible Arpege-IFS)
      e            (dist, rmu0, fract, co2_ppm, solaire,
-     e             paprs, pplay,zxtsol,albsol, t_seri,q_seri,wo,
+     e             paprs, pplay,zxtsol,albsol, albsollw, t_seri,q_seri,
+     e             wo,
      e             cldfra, cldemi, cldtau,
      s             heat,heat0,cool,cool0,radsol,albpla,
@@ -2374,6 +2392,6 @@
          vartitle= 'Surface geop. height'
          varunits= '-'
-         call writephy(fid_day,prof2d_on,varname,pphis,vartitle,
-     .                                                    varunits)
+c        call writephy(fid_day,prof2d_on,varname,pphis,vartitle,
+c    .                                                    varunits)
 c
          i = NINT(zout/zsto)
@@ -2383,11 +2401,11 @@
          vartitle= 'Grid area'
          varunits= '-'
-         call writephy(fid_day,prof2d_on,varname,paire,vartitle,
-     .                                                    varunits)
+c        call writephy(fid_day,prof2d_on,varname,paire,vartitle,
+c    .                                                    varunits)
 C
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, zxtsol,zx_tmp_2d)
       CALL histwrite(nid_day,"tsol",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'tsol',zxtsol,
-     .              'Surface Temperature','K')
+c     call writephy(fid_day,prof2d_av,'tsol',zxtsol,
+c    .              'Surface Temperature','K')
 c
 C
@@ -2395,24 +2413,24 @@
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d ,zx_tmp_2d)
       CALL histwrite(nid_day,"tter",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'tter',ftsol(1 : klon, is_ter),
-     .              'Surface Temperature','K')
+c     call writephy(fid_day,prof2d_av,'tter',ftsol(1 : klon, is_ter),
+c    .              'Surface Temperature','K')
 C
       zx_tmp_fi2d(1 : klon) = ftsol(1 : klon, is_lic)
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, zxtsol,zx_tmp_2d)
       CALL histwrite(nid_day,"tlic",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'tlic',ftsol(1 : klon, is_lic),
-     .              'Surface Temperature','K')
+c     call writephy(fid_day,prof2d_av,'tlic',ftsol(1 : klon, is_lic),
+c    .              'Surface Temperature','K')
 C
       zx_tmp_fi2d(1 : klon) = ftsol(1 : klon, is_oce)
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, zxtsol,zx_tmp_2d)
       CALL histwrite(nid_day,"toce",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'toce',ftsol(1 : klon, is_oce),
-     .              'Surface Temperature','K')
+c     call writephy(fid_day,prof2d_av,'toce',ftsol(1 : klon, is_oce),
+c    .              'Surface Temperature','K')
 C
       zx_tmp_fi2d(1 : klon) = ftsol(1 : klon, is_sic)
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, zxtsol,zx_tmp_2d)
       CALL histwrite(nid_day,"tsic",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'tsic',ftsol(1 : klon, is_sic),
-     .              'Surface Temperature','K')
+c     call writephy(fid_day,prof2d_av,'tsic',ftsol(1 : klon, is_sic),
+c    .              'Surface Temperature','K')
 C
       DO i = 1, klon
@@ -2425,6 +2443,6 @@
       vartitle= 'pression au sol'
       varunits= 'hPa'
-      call writephy(fid_day,prof2d_av,varname,zx_tmp_fi2d,vartitle,
-     .                                                    varunits)
+c     call writephy(fid_day,prof2d_av,varname,zx_tmp_fi2d,vartitle,
+c    .                                                    varunits)
 c
       DO i = 1, klon
@@ -2433,6 +2451,6 @@
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
       CALL histwrite(nid_day,"rain",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'rain',zx_tmp_fi2d,
-     .              'Precipitation','mm/day')
+c     call writephy(fid_day,prof2d_av,'rain',zx_tmp_fi2d,
+c    .              'Precipitation','mm/day')
 
 
@@ -2440,56 +2458,56 @@
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, snow_fall,zx_tmp_2d)
       CALL histwrite(nid_day,"snow",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'snow',snow_fall,
-     .              'Snow','mm/day')
+c     call writephy(fid_day,prof2d_av,'snow',snow_fall,
+c    .              'Snow','mm/day')
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, zxsnow,zx_tmp_2d)
       CALL histwrite(nid_day,"snow_cov",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'snow_cov',zxsnow,
-     .              'Snow cover','mm')
+c     call writephy(fid_day,prof2d_av,'snow_cov',zxsnow,
+c    .              'Snow cover','mm')
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, evap,zx_tmp_2d)
       CALL histwrite(nid_day,"evap",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'evap',evap,
-     .              'Evaporation','mm/day')
+c     call writephy(fid_day,prof2d_av,'evap',evap,
+c    .              'Evaporation','mm/day')
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, topsw,zx_tmp_2d)
       CALL histwrite(nid_day,"tops",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'tops',topsw,
-     .              'Solar rad. at TOA','W/m2')
+c     call writephy(fid_day,prof2d_av,'tops',topsw,
+c    .              'Solar rad. at TOA','W/m2')
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, toplw,zx_tmp_2d)
       CALL histwrite(nid_day,"topl",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'topl',toplw,
-     .              'IR rad. at TOA','W/m2')
+c     call writephy(fid_day,prof2d_av,'topl',toplw,
+c    .              'IR rad. at TOA','W/m2')
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, solsw,zx_tmp_2d)
       CALL histwrite(nid_day,"sols",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'sols',solsw,
-     .              'Solar rad. at surf.','W/m2')
+c     call writephy(fid_day,prof2d_av,'sols',solsw,
+c    .              'Solar rad. at surf.','W/m2')
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, sollw,zx_tmp_2d)
       CALL histwrite(nid_day,"soll",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'soll',sollw,
-     .              'IR rad. at surface','W/m2')
+c     call writephy(fid_day,prof2d_av,'soll',sollw,
+c    .              'IR rad. at surface','W/m2')
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, sollwdown,zx_tmp_2d)
       CALL histwrite(nid_day,"solldown",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'solldown',sollwdown,
-     .              'Down. IR rad. at surface','W/m2')
+c     call writephy(fid_day,prof2d_av,'solldown',sollwdown,
+c    .              'Down. IR rad. at surface','W/m2')
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, bils,zx_tmp_2d)
       CALL histwrite(nid_day,"bils",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'bils',bils,
-     .              'Surf. total heat flux','W/m2')
+c     call writephy(fid_day,prof2d_av,'bils',bils,
+c    .              'Surf. total heat flux','W/m2')
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, sens,zx_tmp_2d)
       CALL histwrite(nid_day,"sens",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'sens',sens,
-     .              'Sensible heat flux','W/m2')
+c     call writephy(fid_day,prof2d_av,'sens',sens,
+c    .              'Sensible heat flux','W/m2')
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, fder,zx_tmp_2d)
       CALL histwrite(nid_day,"fder",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'fder',fder,
-     .              'Heat flux derivation','W/m2')
+c     call writephy(fid_day,prof2d_av,'fder',fder,
+c    .              'Heat flux derivation','W/m2')
 c
 c
@@ -2500,7 +2518,7 @@
         CALL histwrite(nid_day,"pourc_"//clnsurf(nsrf),itap,
      $      zx_tmp_2d,iim*jjmp1,ndex2d) 
-        call writephy(fid_day,prof2d_av,'pourc_'//clnsurf(nsrf),
-     .                pctsrf( 1 : klon, nsrf),
-     .                'Fraction'//clnsurf(nsrf),'-')
+c       call writephy(fid_day,prof2d_av,'pourc_'//clnsurf(nsrf),
+c    .                pctsrf( 1 : klon, nsrf),
+c    .                'Fraction'//clnsurf(nsrf),'-')
 C
         zx_tmp_fi2d(1 : klon) = ftsol( 1 : klon, nsrf)
@@ -2508,7 +2526,7 @@
         CALL histwrite(nid_day,"tsol_"//clnsurf(nsrf),itap,
      $      zx_tmp_2d,iim*jjmp1,ndex2d) 
-        call writephy(fid_day,prof2d_av,'tsol_'//clnsurf(nsrf),
-     .                ftsol( 1 : klon, nsrf),
-     .                'Surf. Temp'//clnsurf(nsrf),'K')
+c       call writephy(fid_day,prof2d_av,'tsol_'//clnsurf(nsrf),
+c    .                ftsol( 1 : klon, nsrf),
+c    .                'Surf. Temp'//clnsurf(nsrf),'K')
 C 
         zx_tmp_fi2d(1 : klon) = fluxt( 1 : klon, 1, nsrf)
@@ -2516,7 +2534,7 @@
         CALL histwrite(nid_day,"sens_"//clnsurf(nsrf),itap,
      $      zx_tmp_2d,iim*jjmp1,ndex2d) 
-        call writephy(fid_day,prof2d_av,'sens_'//clnsurf(nsrf),
-     .                fluxt( 1 : klon, 1, nsrf),
-     .                'Sensible heat flux '//clnsurf(nsrf),'W/m2')
+c       call writephy(fid_day,prof2d_av,'sens_'//clnsurf(nsrf),
+c    .                fluxt( 1 : klon, 1, nsrf),
+c    .                'Sensible heat flux '//clnsurf(nsrf),'W/m2')
 C  
         zx_tmp_fi2d(1 : klon) = fluxlat( 1 : klon, nsrf)
@@ -2524,7 +2542,7 @@
         CALL histwrite(nid_day,"lat_"//clnsurf(nsrf),itap,
      $      zx_tmp_2d,iim*jjmp1,ndex2d) 
-        call writephy(fid_day,prof2d_av,'lat_'//clnsurf(nsrf),
-     .                fluxlat( 1 : klon, nsrf),
-     .                'Latent heat flux '//clnsurf(nsrf),'W/m2')
+c       call writephy(fid_day,prof2d_av,'lat_'//clnsurf(nsrf),
+c    .                fluxlat( 1 : klon, nsrf),
+c    .                'Latent heat flux '//clnsurf(nsrf),'W/m2')
 C
         zx_tmp_fi2d(1 : klon) = fluxu( 1 : klon, 1, nsrf)
@@ -2532,7 +2550,7 @@
         CALL histwrite(nid_day,"taux_"//clnsurf(nsrf),itap,
      $      zx_tmp_2d,iim*jjmp1,ndex2d) 
-        call writephy(fid_day,prof2d_av,'taux_'//clnsurf(nsrf),
-     .                fluxu( 1 : klon, 1, nsrf),
-     .                'Zonal wind stress '//clnsurf(nsrf),'Pa')
+c       call writephy(fid_day,prof2d_av,'taux_'//clnsurf(nsrf),
+c    .                fluxu( 1 : klon, 1, nsrf),
+c    .                'Zonal wind stress '//clnsurf(nsrf),'Pa')
 C      
         zx_tmp_fi2d(1 : klon) = fluxv( 1 : klon, 1, nsrf)
@@ -2540,7 +2558,7 @@
         CALL histwrite(nid_day,"tauy_"//clnsurf(nsrf),itap,
      $      zx_tmp_2d,iim*jjmp1,ndex2d)
-        call writephy(fid_day,prof2d_av,'tauy_'//clnsurf(nsrf),
-     .                fluxv( 1 : klon, 1, nsrf),
-     .                'Meridional wind stress '//clnsurf(nsrf),'Pa')
+c       call writephy(fid_day,prof2d_av,'tauy_'//clnsurf(nsrf),
+c    .                fluxv( 1 : klon, 1, nsrf),
+c    .                'Meridional wind stress '//clnsurf(nsrf),'Pa')
 C
         zx_tmp_fi2d(1 : klon) = falbe( 1 : klon, nsrf)
@@ -2548,7 +2566,10 @@
         CALL histwrite(nid_day,"albe_"//clnsurf(nsrf),itap,
      $      zx_tmp_2d,iim*jjmp1,ndex2d) 
-        call writephy(fid_day,prof2d_av,'albe_'//clnsurf(nsrf),
-     .                falbe( 1 : klon, nsrf),
-     .                'Albedo surf.'//clnsurf(nsrf),'-')
+c       call writephy(fid_day,prof2d_av,'albe_'//clnsurf(nsrf),
+c    .                falbe( 1 : klon, nsrf),
+c    .                'Albedo surf. SW'//clnsurf(nsrf),'-')
+c       call writephy(fid_day,prof2d_av,'alblw_'//clnsurf(nsrf),
+c    .                falblw( 1 : klon, nsrf),
+c    .                'Albedo surf. LW'//clnsurf(nsrf),'-')
 C
         zx_tmp_fi2d(1 : klon) = frugs( 1 : klon, nsrf)
@@ -2556,7 +2577,7 @@
         CALL histwrite(nid_day,"rugs_"//clnsurf(nsrf),itap,
      $      zx_tmp_2d,iim*jjmp1,ndex2d) 
-        call writephy(fid_day,prof2d_av,'rugs_'//clnsurf(nsrf),
-     .                frugs( 1 : klon, nsrf),
-     .                'Rugosity '//clnsurf(nsrf),' - ')
+c       call writephy(fid_day,prof2d_av,'rugs_'//clnsurf(nsrf),
+c    .                frugs( 1 : klon, nsrf),
+c    .                'Rugosity '//clnsurf(nsrf),' - ')
 C 
       END DO  
@@ -2570,26 +2591,26 @@
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, cldl,zx_tmp_2d)
       CALL histwrite(nid_day,"cldl",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'cldl',cldl,
-     .              'Low-level cloudiness','-')
+c     call writephy(fid_day,prof2d_av,'cldl',cldl,
+c    .              'Low-level cloudiness','-')
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, cldm,zx_tmp_2d)
       CALL histwrite(nid_day,"cldm",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'cldm',cldm,
-     .              'Mid-level cloudiness','-')
+c     call writephy(fid_day,prof2d_av,'cldm',cldm,
+c    .              'Mid-level cloudiness','-')
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, cldh,zx_tmp_2d)
       CALL histwrite(nid_day,"cldh",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'cldh',cldh,
-     .              'High-level cloudiness','-')
+c     call writephy(fid_day,prof2d_av,'cldh',cldh,
+c    .              'High-level cloudiness','-')
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, cldt,zx_tmp_2d)
       CALL histwrite(nid_day,"cldt",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'cldt',cldt,
-     .              'Total cloudiness','-')
+c     call writephy(fid_day,prof2d_av,'cldt',cldt,
+c    .              'Total cloudiness','-')
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, cldq,zx_tmp_2d)
       CALL histwrite(nid_day,"cldq",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
-      call writephy(fid_day,prof2d_av,'cldq',cldq,
-     .              'Cloud liquid water path','-')
+c     call writephy(fid_day,prof2d_av,'cldq',cldq,
+c    .              'Cloud liquid water path','-')
 c
 c Champs 3D:
@@ -2602,45 +2623,45 @@
       vartitle= 'temperature 3D'
       varunits= 'K'
-      call writephy(fid_day,prof3d_av,varname,t_seri,vartitle,varunits)
+c     call writephy(fid_day,prof3d_av,varname,t_seri,vartitle,varunits)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, qx(1,1,ivap), zx_tmp_3d)
       CALL histwrite(nid_day,"ovap",itap,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
-      call writephy(fid_day,prof3d_av,'ovap',qx(1,1,ivap),
-     .              'Specific humidity','Kg/Kg')
+c     call writephy(fid_day,prof3d_av,'ovap',qx(1,1,ivap),
+c    .              'Specific humidity','Kg/Kg')
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, zphi, zx_tmp_3d)
       CALL histwrite(nid_day,"geop",itap,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
-      call writephy(fid_day,prof3d_av,'geop',zphi,
-     .              'Geopotential height','m')
+c     call writephy(fid_day,prof3d_av,'geop',zphi,
+c    .              'Geopotential height','m')
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, u_seri, zx_tmp_3d)
       CALL histwrite(nid_day,"vitu",itap,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
-      call writephy(fid_day,prof3d_av,'vitu',u_seri,
-     .              'Zonal wind','m/s')
+c     call writephy(fid_day,prof3d_av,'vitu',u_seri,
+c    .              'Zonal wind','m/s')
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, v_seri, zx_tmp_3d)
       CALL histwrite(nid_day,"vitv",itap,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
-      call writephy(fid_day,prof3d_av,'vitv',v_seri,
-     .              'Meridional wind','m/s')
+c     call writephy(fid_day,prof3d_av,'vitv',v_seri,
+c    .              'Meridional wind','m/s')
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, omega, zx_tmp_3d)
       CALL histwrite(nid_day,"vitw",itap,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
-      call writephy(fid_day,prof3d_av,'vitw',omega,
-     .              'Vertical wind','m/s')
+c     call writephy(fid_day,prof3d_av,'vitw',omega,
+c    .              'Vertical wind','m/s')
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, pplay, zx_tmp_3d)
       CALL histwrite(nid_day,"pres",itap,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
-      call writephy(fid_day,prof3d_av,'pres',pplay,
-     .              'Air pressure','Pa')
+c     call writephy(fid_day,prof3d_av,'pres',pplay,
+c    .              'Air pressure','Pa')
 
 c
       if (ok_sync) then
-        call writephy_sync(fid_day)
+c       call writephy_sync(fid_day)
         call histsync(nid_day)
       endif
@@ -2809,4 +2830,6 @@
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, albsol,zx_tmp_2d)
       CALL histwrite(nid_mth,"albs",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, albsollw,zx_tmp_2d)
+      CALL histwrite(nid_mth,"albslw",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, cdragm,zx_tmp_2d)
@@ -3179,4 +3202,6 @@
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, albsol,zx_tmp_2d)
       CALL histwrite(nid_ins,"albs",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, albsollw,zx_tmp_2d)
+      CALL histwrite(nid_ins,"albslw",itap,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, zxsnow,zx_tmp_2d)