Index: /LMDZ.3.3/branches/rel-LF/libf/bibio/initdynav.F
===================================================================
--- /LMDZ.3.3/branches/rel-LF/libf/bibio/initdynav.F	(revision 294)
+++ /LMDZ.3.3/branches/rel-LF/libf/bibio/initdynav.F	(revision 295)
@@ -119,4 +119,12 @@
      .             32, 'ave(X)', t_ops, t_wrt)
 C
+C  Temperature potentielle
+C
+      call histdef(fileid, 'theta', 'temperature potentielle', 'K',
+     .             iip1, jjp1, thoriid, llm, 1, llm, zvertiid,
+     .             32, 'ave(X)', 7200., 7200.)
+
+
+C
 C  Geopotentiel
 C
Index: /LMDZ.3.3/branches/rel-LF/libf/bibio/writedynav.F
===================================================================
--- /LMDZ.3.3/branches/rel-LF/libf/bibio/writedynav.F	(revision 294)
+++ /LMDZ.3.3/branches/rel-LF/libf/bibio/writedynav.F	(revision 295)
@@ -71,4 +71,9 @@
       ndex2d = 0
       ok_sync = .TRUE.
+      us = 999.999
+      vs = 999.999
+      tm = 999.999
+      vnat = 999.999
+      unat = 999.999
 
 C Passage aux composantes naturelles du vent
@@ -89,4 +94,9 @@
       call histwrite(histid, 'v', time, vs, 
      .               iip1*jjp1*llm, ndex3d)
+C
+C  Temperature potentielle moyennee
+C
+      call histwrite(histid, 'theta', time, teta, 
+     .                iip1*jjp1*llm, ndex3d)
 C
 C  Temperature moyennee
Index: /LMDZ.3.3/branches/rel-LF/libf/dyn3d/abort_gcm.F
===================================================================
--- /LMDZ.3.3/branches/rel-LF/libf/dyn3d/abort_gcm.F	(revision 294)
+++ /LMDZ.3.3/branches/rel-LF/libf/dyn3d/abort_gcm.F	(revision 295)
@@ -20,4 +20,5 @@
       call histclo
       call restclo
+c     call getin_dump
 c     call histclo(2)
 c     call histclo(3)
Index: /LMDZ.3.3/branches/rel-LF/libf/dyn3d/gcm.F
===================================================================
--- /LMDZ.3.3/branches/rel-LF/libf/dyn3d/gcm.F	(revision 294)
+++ /LMDZ.3.3/branches/rel-LF/libf/dyn3d/gcm.F	(revision 295)
@@ -306,6 +306,6 @@
       t_ops = iecri * daysec
       t_wrt = iecri * daysec
-      CALL inithist(dynhist_file,day_ini,anne_ini,time_step,
-     .              t_ops, t_wrt, nqmx, histid, histvid)
+C      CALL inithist(dynhist_file,day_ini,anne_ini,time_step,
+c     .              t_ops, t_wrt, nqmx, histid, histvid)
 
       t_ops = iperiod * time_step
@@ -595,6 +595,6 @@
                nbetat = nbetatdem
        CALL geopot  ( ip1jmp1, teta  , pk , pks,  phis  , phi        )
-       CALL writehist( histid, histvid, nqmx, itau,vcov , 
-     ,                          ucov,teta,phi,q,masse,ps,phis)
+c       CALL writehist( histid, histvid, nqmx, itau,vcov , 
+c     ,                          ucov,teta,phi,q,masse,ps,phis)
 
 
@@ -682,6 +682,6 @@
                   nbetat = nbetatdem
        CALL geopot  ( ip1jmp1, teta  , pk , pks,  phis  , phi       )
-       CALL writehist( histid, histvid, nqmx, itau,vcov , 
-     ,                          ucov,teta,phi,q,masse,ps,phis)
+c       CALL writehist( histid, histvid, nqmx, itau,vcov , 
+c     ,                          ucov,teta,phi,q,masse,ps,phis)
                ENDIF
 
Index: /LMDZ.3.3/branches/rel-LF/libf/phylmd/clmain.F
===================================================================
--- /LMDZ.3.3/branches/rel-LF/libf/phylmd/clmain.F	(revision 294)
+++ /LMDZ.3.3/branches/rel-LF/libf/phylmd/clmain.F	(revision 295)
@@ -197,8 +197,8 @@
       LOGICAL first_appel
       SAVE first_appel
-      DATA first_appel/.true./
+      DATA first_appel/.false./
       LOGICAL debugindex
       SAVE debugindex
-      DATA debugindex/.true./
+      DATA debugindex/.false./
 #include "temps.h"
       
@@ -354,5 +354,5 @@
       ENDDO
 c
-      write(*,*)'CLMAIN, nsrf, knon =',nsrf, knon
+c      write(*,*)'CLMAIN, nsrf, knon =',nsrf, knon
 c
 c variables pour avoir une sortie IOIPSL des INDEX
@@ -434,6 +434,4 @@
       CALL coefkz2(nsrf, knon, ypaprs, ypplay,yt,
      .                  ycoefm0, ycoefh0)
-      write(*,*)'Cdrag maximal = ',maxval(ycoefh(:,1)),
-     .                               maxval(ycoefh0(:,1))
       DO k = 1, klev
       DO i = 1, knon
@@ -443,6 +441,4 @@
       ENDDO
 
-      write(*,*)'Cdrag maximal = ',maxloc(ycoefh(:,1)),
-     .                             maxval(ycoefh(:,1))
 c
 c
Index: /LMDZ.3.3/branches/rel-LF/libf/phylmd/interface_surf.F90
===================================================================
--- /LMDZ.3.3/branches/rel-LF/libf/phylmd/interface_surf.F90	(revision 294)
+++ /LMDZ.3.3/branches/rel-LF/libf/phylmd/interface_surf.F90	(revision 295)
@@ -188,5 +188,5 @@
   integer, save        :: error
   integer              :: ii, index
-  logical,save              :: check = .true.
+  logical,save              :: check = .false.
   real, dimension(klon):: cal, beta, dif_grnd, capsol
 !!$PB  real, parameter      :: calice=1.0/(5.1444e+06*0.15), tau_gl=86400.*5.
@@ -332,5 +332,5 @@
      call albsno(klon,knon,dtime,agesno(:),alb_neig(:), precip_snow(:))  
      where (snow(1 : knon) .LT. 0.0001) agesno(1 : knon) = 0.
-     zfra(1:knon) = max(0.0,min(1.0,snow/(snow+10.0)))
+     zfra(1:knon) = max(0.0,min(1.0,snow(1:knon)/(snow(1:knon)+10.0)))
      alb_new(1 : knon)  = alb_neig(1 : knon) *zfra(1:knon) + &
     &                     alb_new(1 : knon)*(1.0-zfra(1:knon))
@@ -519,5 +519,5 @@
       CALL albsno(klon,knon,dtime,agesno(:),alb_neig(:), precip_snow(:))  
       WHERE (snow(1 : knon) .LT. 0.0001) agesno(1 : knon) = 0.
-      zfra(1:knon) = MAX(0.0,MIN(1.0,snow/(snow+10.0)))
+      zfra(1:knon) = MAX(0.0,MIN(1.0,snow(1:knon)/(snow(1:knon)+10.0)))
       alb_new(1 : knon) = alb_neig(1 : knon) *zfra(1:knon) + & 
      &                    0.6 * (1.0-zfra(1:knon))
@@ -589,5 +589,5 @@
      CALL albsno(klon,knon,dtime,agesno(:),alb_neig(:), precip_snow(:))  
      WHERE (snow(1 : knon) .LT. 0.0001) agesno(1 : knon) = 0.
-     zfra(1:knon) = MAX(0.0,MIN(1.0,snow/(snow+10.0)))
+     zfra(1:knon) = MAX(0.0,MIN(1.0,snow(1:knon)/(snow(1:knon)+10.0)))
      alb_new(1 : knon)  = alb_neig(1 : knon)*zfra(1:knon) + &
     &                     0.6 * (1.0-zfra(1:knon))
@@ -744,5 +744,5 @@
   character (len = 20) :: modname = 'interfsol'
   character (len = 80) :: abort_message
-  logical,save              :: check = .TRUE.
+  logical,save              :: check = .FALSE.
   real, dimension(klon) :: cal, beta, dif_grnd, capsol
 ! type de couplage dans sechiba
@@ -1045,7 +1045,7 @@
   cdrag(1:knon) = tq_cdrag(1:knon)
 
-!  where(cdrag > 0.01) 
-!    cdrag = 0.01
-!  endwhere
+   where(cdrag > 0.01) 
+     cdrag = 0.01
+   endwhere
 !  write(*,*)'Cdrag = ',minval(cdrag),maxval(cdrag)
 
@@ -1186,5 +1186,5 @@
   character (len = 20) :: modname = 'interfoce_cpl'
   character (len = 80) :: abort_message
-  logical,save              :: check = .true.
+  logical,save              :: check = .FALSE.
 ! variables pour moyenner les variables de couplage
   real, allocatable, dimension(:,:),save :: cpl_sols, cpl_nsol, cpl_rain
@@ -1715,5 +1715,5 @@
   character (len = 20),save :: fich ='limit.nc'
   logical, save     :: newlmt = .TRUE.
-  logical, save     :: check = .true.
+  logical, save     :: check = .FALSE.
 ! Champs lus dans le fichier de CL
   real, allocatable , save, dimension(:) :: sst_lu, rug_lu, nat_lu
@@ -1959,5 +1959,5 @@
   character (len = 20),save :: fich ='limit.nc'
   logical,save     :: newlmt = .false.
-  logical,save     :: check = .true.
+  logical,save     :: check = .FALSE.
 ! Champs lus dans le fichier de CL
   real, allocatable , save, dimension(:) :: alb_lu, rug_lu
@@ -2138,5 +2138,5 @@
   REAL, parameter :: chasno = 3.334E+05/(2.3867E+06*0.15)
 !
-  logical, save         :: check = .true.
+  logical, save         :: check = .FALSE.
   character (len = 20)  :: modname = 'calcul_fluxs'
   logical, save         :: fonte_neige = .false.
@@ -2495,5 +2495,5 @@
   REAL, parameter :: chasno = 3.334E+05/(2.3867E+06*0.15)
 !
-  logical, save         :: check = .true.
+  logical, save         :: check = .FALSE.
   character (len = 20)  :: modname = 'fonte_neige'
   logical, save         :: neige_fond = .false.
Index: /LMDZ.3.3/branches/rel-LF/libf/phylmd/physiq.F
===================================================================
--- /LMDZ.3.3/branches/rel-LF/libf/phylmd/physiq.F	(revision 294)
+++ /LMDZ.3.3/branches/rel-LF/libf/phylmd/physiq.F	(revision 295)
@@ -371,4 +371,8 @@
       REAL albsollw(klon)
       SAVE albsollw                 ! albedo du sol total
+      REAL albsol1(klon)
+      SAVE albsol1                 ! albedo du sol total
+      REAL albsollw1(klon)
+      SAVE albsollw1                 ! albedo du sol total
 
       REAL wo(klon,klev)
@@ -576,5 +580,7 @@
 c
       INTEGER nhori, nvert
-      REAL zsto, zout, zjulian
+      REAL zsto, zout
+      real zjulian
+      save zjulian
 
       character*20 modname
@@ -728,4 +734,5 @@
 ccc         ecrit_ins = NINT(86400./dtime *0.25)  ! 4 fois par jour
          ecrit_ins = NINT(86400./dtime/48.)  ! a chaque pas de temps
+         ecrit_ins = NINT(86400./dtime/12.)  ! toutes les deux heures
          IF (ok_instan) THEN
          PRINT*, 'La frequence de sortie instant. est de ', ecrit_ins
@@ -750,4 +757,10 @@
       endif        
 c
+c
+c Gestion calendrier
+
+         CALL ymds2ju(anne_ini, 1, 1, 0.0, zjulian)
+         zjulian = zjulian + day_ini
+
 c
       IF (ok_journe) THEN
@@ -1807,5 +1820,5 @@
       fder = dlw
 
-      CALL clmain(dtime,itap,date0,pctsrf,
+      CALL clmain(dtime,itap,zjulian,pctsrf,
      e            t_seri,q_seri,u_seri,v_seri,
      e            julien, rmu0, 
@@ -1971,5 +1984,5 @@
 c$$$     .        ,bbase,dtvpdt1,dtvpdq1,dplcldt,dplcldr,
 c$$$     .        pori_con,plcl_con,dtma_con,dtlcl_con)
-          if (1.eq.1) then ! vectorise
+          if (0.eq.1) then ! vectorise
           CALL conemav (dtime,paprs,pplay,t_seri,q_seri,
      .        u_seri,v_seri,tr_seri,nbtr,
@@ -2197,4 +2210,10 @@
      .               + falblw(i,is_sic) * pctsrf(i,is_sic)
       ENDDO
+!      if (debut) then
+!        albsol1 = albsol
+!        albsollw1 = albsollw
+!      endif
+!      albsol = albsol1
+!      albsollw = albsollw1
       CALL radlwsw ! nouveau rayonnement (compatible Arpege-IFS)
      e            (dist, rmu0, fract, co2_ppm, solaire,
@@ -2331,10 +2350,12 @@
       IF (iflag_con.EQ.4) THEN
 c           on ajoute les tendances calculees par KE43
+c$$$ OM on onhibe la convection sur les traceurs
         DO iq=1, nqmax-2 ! Sandrine a -3 ???
-        DO k = 1, nlev
-        DO i = 1, klon
-          tr_seri(i,k,iq) = tr_seri(i,k,iq) + d_tr(i,k,iq)
-        ENDDO
-        ENDDO
+c$$$ OM on inhibe la convection sur les traceur
+c$$$        DO k = 1, nlev
+c$$$        DO i = 1, klon
+c$$$          tr_seri(i,k,iq) = tr_seri(i,k,iq) + d_tr(i,k,iq)
+c$$$        ENDDO
+c$$$        ENDDO
         WRITE(iqn,'(i2.2)') iq
         CALL minmaxqfi(tr_seri(1,1,iq),0.,1.e33,'couche lim iq='//iqn)
Index: /LMDZ.3.3/branches/rel-LF/libf/phylmd/phytrac.F
===================================================================
--- /LMDZ.3.3/branches/rel-LF/libf/phylmd/phytrac.F	(revision 294)
+++ /LMDZ.3.3/branches/rel-LF/libf/phylmd/phytrac.F	(revision 295)
@@ -208,5 +208,6 @@
      s     inirnpb
       data first,couchelimite,convection,lessivage,sorties
-     s     /.true.,.true.,.true.,.true.,.true./
+c$$$ OM Test KE     s     /.true.,.true.,.true.,.true.,.true./
+     s     /.true.,.true.,.false.,.true.,.true./
 c
 c======================================================================
Index: /LMDZ.3.3/branches/rel-LF/liste_des_sources_f90
===================================================================
--- /LMDZ.3.3/branches/rel-LF/liste_des_sources_f90	(revision 294)
+++ /LMDZ.3.3/branches/rel-LF/liste_des_sources_f90	(revision 295)
@@ -1,48 +1,45 @@
-       USE IOIPSL
-libf/bibio/initdynav.F
+      USE ioipsl
+libf/bibio/writedynav.F
        USE IOIPSL
 libf/bibio/initfluxsto.F
        USE IOIPSL
 libf/bibio/inithist.F
-      USE ioipsl
-libf/bibio/writedynav.F
+       USE IOIPSL
+libf/bibio/initdynav.F
       USE ioipsl
 libf/bibio/writehist.F
       USE IOIPSL
 libf/dyn3d/abort_gcm.F
-      USE ioipsl
-libf/dyn3d/create_limit.F
-      USE IOIPSL
-libf/dyn3d/dynredem.F
-      USE ioipsl
-libf/dyn3d/etat0_netcdf.F
        USE IOIPSL
 libf/dyn3d/fluxstokenc.F
       USE IOIPSL
-libf/dyn3d/gcm.F
+libf/dyn3d/dynredem.F
       USE IOIPSL
 libf/dyn3d/gcmtest.F
       USE ioipsl
-libf/dyn3d/offline.F
+libf/dyn3d/offlinenc.F
+      USE ioipsl
+libf/dyn3d/etat0_netcdf.F
+      USE IOIPSL
+libf/dyn3d/gcm.F
+      use IOIPSL
+libf/dyn3d/conf_gcm.F
       USE ioipsl
 libf/dyn3d/startvar.F
       USE ioipsl
+libf/dyn3d/create_limit.F
+      USE ioipsl
 libf/dyn3d/modif_etat0.F
-      use IOIPSL
-libf/dyn3d/conf_gcm.F
       USE ioipsl
 libf/phylmd/clmain.F
-       USE IOIPSL
-libf/phylmd/initphysto.F
       USE ioipsl
 libf/phylmd/physiq.F
       USE ioipsl
-libf/phylmd/phystokenc.F
-      USE ioipsl
 libf/phylmd/phytrac.F
       USE ioipsl
-libf/phylmd/donneesgrads.F
-      USE IOIPSL
-libf/phylmd/1DUTILS.h
+libf/phylmd/phystokenc.F
+       USE IOIPSL
+libf/phylmd/initphysto.F
+libf/bibio/writephys.F90
 libf/phylmd/interface_surf.F90
 libf/phylmd/conf_phys.F90
Index: /LMDZ.3.3/branches/rel-LF/tmp
===================================================================
--- /LMDZ.3.3/branches/rel-LF/tmp	(revision 294)
+++ /LMDZ.3.3/branches/rel-LF/tmp	(revision 295)
@@ -1,2 +1,4 @@
-g
-C
+clear
+float0
+ew
+R5
Index: /LMDZ.3.3/branches/rel-LF/tmp90
===================================================================
--- /LMDZ.3.3/branches/rel-LF/tmp90	(revision 294)
+++ /LMDZ.3.3/branches/rel-LF/tmp90	(revision 295)
@@ -1,48 +1,45 @@
-       USE IOIPSL
-libf/bibio/initdynav.F
+      USE ioipsl
+libf/bibio/writedynav.F
        USE IOIPSL
 libf/bibio/initfluxsto.F
        USE IOIPSL
 libf/bibio/inithist.F
-      USE ioipsl
-libf/bibio/writedynav.F
+       USE IOIPSL
+libf/bibio/initdynav.F
       USE ioipsl
 libf/bibio/writehist.F
       USE IOIPSL
 libf/dyn3d/abort_gcm.F
-      USE ioipsl
-libf/dyn3d/create_limit.F
-      USE IOIPSL
-libf/dyn3d/dynredem.F
-      USE ioipsl
-libf/dyn3d/etat0_netcdf.F
        USE IOIPSL
 libf/dyn3d/fluxstokenc.F
       USE IOIPSL
-libf/dyn3d/gcm.F
+libf/dyn3d/dynredem.F
       USE IOIPSL
 libf/dyn3d/gcmtest.F
       USE ioipsl
-libf/dyn3d/offline.F
+libf/dyn3d/offlinenc.F
+      USE ioipsl
+libf/dyn3d/etat0_netcdf.F
+      USE IOIPSL
+libf/dyn3d/gcm.F
+      use IOIPSL
+libf/dyn3d/conf_gcm.F
       USE ioipsl
 libf/dyn3d/startvar.F
       USE ioipsl
+libf/dyn3d/create_limit.F
+      USE ioipsl
 libf/dyn3d/modif_etat0.F
-      use IOIPSL
-libf/dyn3d/conf_gcm.F
       USE ioipsl
 libf/phylmd/clmain.F
-       USE IOIPSL
-libf/phylmd/initphysto.F
       USE ioipsl
 libf/phylmd/physiq.F
       USE ioipsl
-libf/phylmd/phystokenc.F
-      USE ioipsl
 libf/phylmd/phytrac.F
       USE ioipsl
-libf/phylmd/donneesgrads.F
-      USE IOIPSL
-libf/phylmd/1DUTILS.h
+libf/phylmd/phystokenc.F
+       USE IOIPSL
+libf/phylmd/initphysto.F
+libf/bibio/writephys.F90
 libf/phylmd/interface_surf.F90
 libf/phylmd/conf_phys.F90