Index: /LMDZ.3.3/branches/rel-LF/libf/phylmd/clmain.F
===================================================================
--- /LMDZ.3.3/branches/rel-LF/libf/phylmd/clmain.F	(revision 418)
+++ /LMDZ.3.3/branches/rel-LF/libf/phylmd/clmain.F	(revision 419)
@@ -35,5 +35,4 @@
       USE ioipsl
       USE interface_surf
-      USE stdlevvar_int
       IMPLICIT none
 c======================================================================
@@ -1138,5 +1137,4 @@
      .                  u,v,t,q,
      .                  pcfm, pcfh)
-      USE clcdrag_int
       IMPLICIT none
 c======================================================================
Index: DZ.3.3/branches/rel-LF/libf/phylmd/coefcdrag_int.F90
===================================================================
--- /LMDZ.3.3/branches/rel-LF/libf/phylmd/coefcdrag_int.F90	(revision 418)
+++ 	(revision )
@@ -1,22 +1,0 @@
-MODULE coefcdrag_int
-
-  IMPLICIT NONE 
-
-  INTERFACE
- 
-    SUBROUTINE coefcdrag (klon, knon, nsrf, zxli, &
-                          speed, t, q, zgeop, psol, &
-                          ts, qsurf, rugos, okri, ri1, &
-                          cdram, cdrah, cdran, zri1, pref)
-      INTEGER, intent(in) :: klon, knon, nsrf
-      LOGICAL, intent(in) :: zxli
-      REAL, dimension(klon), intent(in) :: speed, t, q, zgeop, psol
-      REAL, dimension(klon), intent(in) :: ts, qsurf, rugos, ri1
-      LOGICAL, intent(in) :: okri
-      REAL, dimension(klon), intent(out) :: cdram, cdrah, cdran, zri1, pref
-
-    END SUBROUTINE coefcdrag
-
-  END INTERFACE
-
-END MODULE coefcdrag_int
Index: /LMDZ.3.3/branches/rel-LF/libf/phylmd/screenc.F90
===================================================================
--- /LMDZ.3.3/branches/rel-LF/libf/phylmd/screenc.F90	(revision 418)
+++ /LMDZ.3.3/branches/rel-LF/libf/phylmd/screenc.F90	(revision 419)
@@ -4,5 +4,4 @@
                          ustar, testar, qstar, okri, ri1, &
                          pref, delu, delte, delq)
-      USE coefcdrag_int
       IMPLICIT NONE
 !-----------------------------------------------------------------------
Index: DZ.3.3/branches/rel-LF/libf/phylmd/screenpc_int.F90
===================================================================
--- /LMDZ.3.3/branches/rel-LF/libf/phylmd/screenpc_int.F90	(revision 418)
+++ 	(revision )
@@ -1,38 +1,0 @@
-MODULE screenpc_int
-
-  IMPLICIT NONE 
-
-  INTERFACE
-
-    SUBROUTINE screenp(klon, knon, nsrf, &
-     &                 speed, tair, qair, &
-     &                 ts, qsurf, rugos, lmon, &
-     &                 ustar, testar, qstar, zref, &
-     &                 delu, delte, delq) 
-      INTEGER, intent(in) :: klon, knon, nsrf
-      REAL, dimension(klon), intent(in) :: speed, tair, qair
-      REAL, dimension(klon), intent(in) :: ts, qsurf, rugos
-      DOUBLE PRECISION, dimension(klon), intent(in) :: lmon
-      REAL, dimension(klon), intent(in) :: ustar, testar, qstar
-      REAL, intent(in) :: zref
-      REAL, dimension(klon), intent(out) :: delu, delte, delq
-    END SUBROUTINE screenp
-
-    SUBROUTINE screenc(klon, knon, nsrf, zxli, &
-     &                 speed, temp, q_zref, zref, &
-     &                 ts, qsurf, rugos, psol, &
-     &                 ustar, testar, qstar, okri, ri1, &
-     &                 pref, delu, delte, delq)
-      INTEGER, intent(in) :: klon, knon, nsrf
-      LOGICAL, intent(in) :: zxli, okri
-      REAL, dimension(klon), intent(in) :: speed, temp, q_zref
-      REAL, intent(in) :: zref
-      REAL, dimension(klon), intent(in) :: ts, qsurf, rugos, psol
-      REAL, dimension(klon), intent(in) :: ustar, testar, qstar, ri1
-      REAL, dimension(klon), intent(out) :: pref, delu, delte, delq
-
-    END SUBROUTINE screenc
-
-  END INTERFACE
-
-END MODULE screenpc_int
Index: /LMDZ.3.3/branches/rel-LF/libf/phylmd/stdlevvar.F90
===================================================================
--- /LMDZ.3.3/branches/rel-LF/libf/phylmd/stdlevvar.F90	(revision 418)
+++ /LMDZ.3.3/branches/rel-LF/libf/phylmd/stdlevvar.F90	(revision 419)
@@ -3,6 +3,4 @@
                            ts1, qsurf, rugos, psol, pat1, &
                            t_2m, q_2m, u_10m) 
-      USE coefcdrag_int
-      USE screenpc_int
       IMPLICIT NONE
 !-------------------------------------------------------------------------
Index: DZ.3.3/branches/rel-LF/libf/phylmd/stdlevvar_int.F90
===================================================================
--- /LMDZ.3.3/branches/rel-LF/libf/phylmd/stdlevvar_int.F90	(revision 418)
+++ 	(revision )
@@ -1,21 +1,0 @@
-MODULE stdlevvar_int
-
-  IMPLICIT NONE 
-
-  INTERFACE
-
-    SUBROUTINE stdlevvar(klon, knon, nsrf, zxli, &
-                         u1, v1, t1, q1, z1, &
-                         ts1, qsurf, rugos, psol, pat1, &
-                         t_2m, q_2m, u_10m)
-      INTEGER, intent(in) :: klon, knon, nsrf
-      LOGICAL, intent(in) :: zxli
-      REAL, dimension(klon), intent(in) :: u1, v1, t1, q1, z1, ts1
-      REAL, dimension(klon), intent(in) :: qsurf, rugos
-      REAL, dimension(klon), intent(in) :: psol, pat1
-      REAL, dimension(klon), intent(out) :: t_2m, q_2m, u_10m
-    END SUBROUTINE stdlevvar
-
-  END INTERFACE
-
-END MODULE stdlevvar_int